package com.huimv.eartag.manager.dao;


import com.huimv.eartag.manager.pojo.EartagData;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/****
 * @Author:shenkunlin
 * @Description:EartagData的Dao
 * @Date 2019/6/14 0:12
 *****/
public interface EartagDataMapper extends Mapper<EartagData> {
    @Select("<script>select * from eartag_data where eartag_id = #{str} ORDER BY id DESC LIMIT 1 </script>")
    EartagData selectByEartagId(String str);


    @Select("<script> select * from eartag_data where SBID=#{SBID} eartag_id=#{eartag}  and DATE_FORMAT(timestamp, '%Y-%m-%d')  between #{startTime} and  #{endTime} ORDER BY id DESC LIMIT #{page},#{size}</script>")
    List<EartagData>  selectByEartag(Integer SBID,String eartag,String startTime ,String endTime,int page,int size);

    @Select("<script> select * from eartag_data where eartag_id=#{eartag}  and DATE_FORMAT(timestamp, '%Y-%m-%d')  between #{startTime} and  #{endTime} ORDER BY id DESC LIMIT #{page},#{size}</script>")
    List<EartagData>  selectByEartag1(String eartag,String startTime ,String endTime,int page,int size);

    @Select("<script>SELECT * FROM(SELECT * FROM eartag_data where  DATE_FORMAT(timestamp, '%Y-%m-%d')  between #{startTime} and  #{endTime} ORDER BY id DESC LIMIT 1000000) a GROUP BY eartag_id LIMIT #{page},#{size} </script>")
    List<EartagData>  selectByEartag2(String startTime ,String endTime,int page,int size);

    @Select("<script>SELECT * FROM(SELECT * FROM eartag_data where SBID = #{SBID} and  DATE_FORMAT(timestamp, '%Y-%m-%d')  between #{startTime} and  #{endTime} ORDER BY id DESC LIMIT 1000000) a GROUP BY eartag_id LIMIT #{page},#{size} </script>")
    List<EartagData>  selectByEartag3(Integer SBID,String startTime ,String endTime,int page,int size);
}
