package com.huimv.eartag.manager.dao;


import com.huimv.eartag.manager.pojo.Jqid;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.spring.annotation.MapperScan;

/****
 * @Author:shenkunlin
 * @Description:Jqid的Dao
 * @Date 2019/6/14 0:12
 *****/
@MapperScan(basePackages = {"com.huimv.eartag.dao"})
@SpringBootApplication
public interface JqidMapper extends Mapper<Jqid> {

    @Select("select * from jqid where JQcode =#{serialNo}")
    Jqid getDeviceIdByJQcode(@Param("serialNo") String serialNo);
}
