package com.huimv.eartag.manager.service;


import com.github.pagehelper.PageInfo;
import com.huimv.eartag.manager.pojo.EartagDampness;

import java.util.List;

/****
 * @Author:shenkunlin
 * @Description:EartagDampness业务层接口
 * @Date 2019/6/14 0:16
 *****/
public interface EartagDampnessService {

    /***
     * EartagDampness多条件分页查询
     * @param eartagDampness
     * @param page
     * @param size
     * @return
     */
    PageInfo<EartagDampness> findPage(EartagDampness eartagDampness, int page, int size);

    /***
     * EartagDampness分页查询
     * @param page
     * @param size
     * @return
     */
    PageInfo<EartagDampness> findPage(int page, int size);

    /***
     * EartagDampness多条件搜索方法
     * @param eartagDampness
     * @return
     */
    List<EartagDampness> findList(EartagDampness eartagDampness);

    /***
     * 删除EartagDampness
     * @param id
     */
    void delete(Integer id);

    /***
     * 修改EartagDampness数据
     * @param eartagDampness
     */
    void update(EartagDampness eartagDampness);

    /***
     * 新增EartagDampness
     * @param eartagDampness
     */
    void add(EartagDampness eartagDampness);

    /**
     * 根据ID查询EartagDampness
     * @param id
     * @return
     */
     EartagDampness findById(Integer id);

    /***
     * 查询所有EartagDampness
     * @return
     */
    List<EartagDampness> findAll();
}
